package com.fs.qw.service;

import com.fs.common.core.domain.R;
import com.fs.qw.domain.QwDevice;
import com.fs.qw.domain.QwOnline;
import com.fs.qw.domain.QwRestful;
import com.fs.qw.domain.QwVerify;
import com.fs.qw.vo.QwLoginVO;
import org.springframework.stereotype.Service;

import java.util.Map;


public interface IQwLoginService {

    QwLoginVO getQrCode(String deviceId);

    R verify(QwVerify qwVerify);

    R ban(String deviceId);

    QwOnline getCheck(String deviceId);

    int getLoginStatus(String deviceId);

    QwDevice getDevice(String deviceId);
}
